> ## Documentation Index
> Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create bucket

> Creates a new bucket for organizing files



## OpenAPI

````yaml /api-reference/gns3util-filestore-api-docs.json post /api/v1/buckets
openapi: 3.0.0
info:
  description: API for gns3util distributed file storage
  title: gns3util cluster filestore API
  contact: {}
  version: '1.0'
servers: []
security: []
paths:
  /api/v1/buckets:
    post:
      tags:
        - buckets
      summary: Create bucket
      description: Creates a new bucket for organizing files
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.CreateBucketRequest'
        description: Bucket creation request
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.CreateBucketResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.CreateBucketRequest:
      type: object
      properties:
        is_public:
          type: boolean
        name:
          type: string
        required_scopes:
          type: string
    models.CreateBucketResponse:
      type: object
      properties:
        bucket_id:
          type: string
        created_at:
          type: string
        is_public:
          type: boolean
        name:
          type: string
        required_scopes:
          type: string
    helpers.APIErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: unauthorized
        details:
          type: string
          example: invalid or missing join token
        error:
          type: string
          example: Unauthorized
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and JWT token.
      type: apiKey
      name: Authorization
      in: header

````